////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// utils.cpp                                                                  //
// (c) 2008 Matthias Withopf / Heise Zeitschriften Verlag                     //
//   http://www.heise.de/ct/projekte/sslwaechter/                             //
//   http://www.withopf.com/tools/sslguardian/                                //
//                                                                            //
//  This file is part of SSLGuardian.                                         //
//                                                                            //
//  SSLGuardian is free software: you can redistribute it and/or modify       //
//  it under the terms of the GNU General Public License as published by      //
//  the Free Software Foundation, either version 3 of the License, or         //
//  (at your option) any later version.                                       //
//                                                                            //
//  SSLGuardian is distributed in the hope that it will be useful,            //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of            //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
//  GNU General Public License for more details.                              //
//                                                                            //
//  You should have received a copy of the GNU General Public License         //
//  along with SSLGuardian.  If not, see <http://www.gnu.org/licenses/>.      //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#define STRICT
#define WIN32_LEAN_AND_MEAN
#pragma warning(disable:4201)
#include <windows.h>
#include <strsafe.h>
#pragma warning(default:4201)
#include "utils.h"

uint LangResOfs = 0;

void InitLangResOfs(void)
{
  LANGID LID = GetUserDefaultLangID();
  switch(PRIMARYLANGID(LID))
    {
      default:
      case LANG_ENGLISH:
        LangResOfs =    0;            // English
        break;

      case LANG_GERMAN:
        LangResOfs = 1000;            // German
        break;
    }
}

void CenterDialog(HINSTANCE Inst,HWND hdlg)
{
  HANDLE BigIcon   = LoadImage(Inst,MAKEINTRESOURCE(1),IMAGE_ICON,32,32,0);
  HANDLE SmallIcon = LoadImage(Inst,MAKEINTRESOURCE(1),IMAGE_ICON,16,16,0);
  SendMessage(hdlg,WM_SETICON,ICON_SMALL,(LPARAM)SmallIcon);
  SendMessage(hdlg,WM_SETICON,ICON_BIG,  (LPARAM)BigIcon);
  SetWindowPos(hdlg,HWND_TOPMOST,0,0,0,0,SWP_NOMOVE | SWP_NOREDRAW | SWP_NOREPOSITION | SWP_NOSENDCHANGING | SWP_NOSIZE);
  SetForegroundWindow(hdlg);
  SetActiveWindow(hdlg);
  RECT R;
  GetWindowRect(hdlg,&R);
  OffsetRect(&R,-R.left,-R.top);
  int X = ((GetSystemMetrics(SM_CXSCREEN) - R.right ) / 2 + 4) & ~7;
  int Y =  (GetSystemMetrics(SM_CYSCREEN) - R.bottom) / 2;
  if (X < 0) X = 0;
  if (Y < 0) Y = 0;
  MoveWindow(hdlg,X,Y,R.right,R.bottom,FALSE);
}

